> ## Documentation Index
> Fetch the complete documentation index at: https://hilos-40.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all flow executions

> Lists Flow Executions. 



## OpenAPI

````yaml get /api/flow-execution
openapi: 3.0.3
info:
  title: Hilos API
  version: 1.0.0
  description: >-
    All of the below API endpoints require API key authentication, get your
    token at https://app.hilos.io/dev/api-keys.


    To use this token, send with every request an `Authorization: Token <your
    token>` header.


    Production API server is located at api.hilos.io using HTTPS.


    No versioning info is required for now.
servers:
  - url: https://api.hilos.io
    description: Production Server
security: []
paths:
  /api/flow-execution:
    get:
      tags:
        - Flow Execution
      summary: List Flow Executions
      description: 'Lists Flow Executions. '
      operationId: List Flow Execution
      parameters:
        - in: query
          name: flow
          schema:
            type: string
            format: uuid
          description: >-
            A Flow Id to filter the Flow Executions and only get those from that
            Flow.
          examples:
            OnlyReturnTheFlowExecutionsOfThisFlow:
              value: a3ff7ee5-0c11-49e2-a0d6-7e316626f7b1
              summary: Only return the Flow Executions of this Flow
        - in: query
          name: flow_version
          schema:
            type: string
            format: uuid
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - in: query
          name: search
          schema:
            type: string
          description: You can search with the `status`, `created_by__email` fields.
          examples:
            CreatedByEmail:
              value: erik@hilos.io
              summary: created by email
            With`PROCESSING`Status:
              value: Processing
              summary: with `PROCESSING` status
            With`READY`Status:
              value: Ready
              summary: with `READY` status
            With`AWAITINGCONFIRMATION`Status:
              value: Awaiting Confirmation
              summary: with `AWAITING_CONFIRMATION` status
            With`CONFIRMED`Status:
              value: Confirmed
              summary: with `CONFIRMED` status
            With`STARTING`Status:
              value: Starting
              summary: with `STARTING` status
            With`RUNNING`Status:
              value: Running
              summary: with `RUNNING` status
            With`COMPLETED`Status:
              value: Completed
              summary: with `COMPLETED` status
            With`CANCELED`Status:
              value: Canceled
              summary: with `CANCELED` status
            With`PAUSED`Status:
              value: Paused
              summary: with `PAUSED` status
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedFlowExecutionListList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedFlowExecutionListList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/FlowExecutionList'
    FlowExecutionList:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/FlowExecutionStatusEnum'
        execute_for:
          $ref: '#/components/schemas/FlowExecutionExecuteForEnum'
        inbound_trigger_with:
          $ref: '#/components/schemas/InboundTriggerWithEnum'
        inbound_start_message:
          type: string
          nullable: true
        inbound_start_message_match_exact:
          type: boolean
        id:
          type: string
          format: uuid
        has_priority:
          type: boolean
        flow_execution_variables:
          type: object
          additionalProperties: {}
        start_on:
          type: string
          format: date-time
          nullable: true
        num_contacts:
          type: integer
          maximum: 2147483647
          minimum: 0
        expired:
          type: integer
          maximum: 2147483647
          minimum: 0
        running:
          type: integer
          maximum: 2147483647
          minimum: 0
        completed:
          type: integer
          maximum: 2147483647
          minimum: 0
        canceled:
          type: integer
          maximum: 2147483647
          minimum: 0
        failed:
          type: integer
          maximum: 2147483647
          minimum: 0
        created_on:
          type: string
          format: date-time
          title: Creado el
        avg_completion_time:
          type: string
        created_by:
          allOf:
            - $ref: '#/components/schemas/SimpleUser'
          description: The User that created the Flow Execution.
        execution_type:
          $ref: '#/components/schemas/FlowExecutionExecutionTypeEnum'
      required:
        - created_by
        - execute_for
        - execution_type
    FlowExecutionStatusEnum:
      enum:
        - PROCESSING
        - READY
        - AWAITING_CONFIRMATION
        - CONFIRMED
        - STARTING
        - RUNNING
        - COMPLETED
        - CANCELED
        - PAUSED
      type: string
    FlowExecutionExecuteForEnum:
      enum:
        - FILTERS
        - LIST
        - ALL
      type: string
    InboundTriggerWithEnum:
      enum:
        - ANY_MESSAGE
        - TEXT
        - IMAGE
        - FILE
      type: string
    SimpleUser:
      type: object
      properties:
        first_name:
          type: string
          maxLength: 150
        last_name:
          type: string
          maxLength: 150
        email:
          type: string
          format: email
          title: Email address
          maxLength: 254
        id:
          type: integer
          readOnly: true
        profile_image:
          type: string
          format: uri
          nullable: true
        role:
          $ref: '#/components/schemas/UserRoleEnum'
      required:
        - id
    FlowExecutionExecutionTypeEnum:
      enum:
        - INBOUND
        - OUTBOUND
        - API
        - FROM_FLOW
      type: string
    UserRoleEnum:
      enum:
        - AGENT
        - MANAGER
        - ADMIN
        - FINANCE
      type: string
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````